> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vehicle events

> Get vehicle events with filters and additive queries



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/vehicle/getVehicleEvents
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/vehicle/getVehicleEvents:
    post:
      tags:
        - Vehicle Webservice
      summary: Get vehicle events
      description: Get vehicle events with filters and additive queries
      operationId: getVehicleEvents
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Vehicle_GetVehicleEventsWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Vehicle_GetVehicleEventsWSResponse'
          description: OK
components:
  schemas:
    Vehicle_GetVehicleEventsWSRequest:
      type: object
      description: >-
        Request object for getting vehicle events with filters and additive
        queries.
      properties:
        deviceUuidFilter:
          type: array
          description: Filter events by specific reporting device uuids
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
        endTimeMs:
          type: integer
          format: int64
          description: Time window filter end (newest) time in Epoch milliseconds
          nullable: true
        licensePlateExactQuery:
          type: array
          description: >-
            Query events by exact license plate number. Query fields are
            additive queries (returned events satisfy at least one of the query
            fields)
          items:
            type: string
            description: >-
              Query events by exact license plate number. Query fields are
              additive queries (returned events satisfy at least one of the
              query fields)
            nullable: true
          nullable: true
        licensePlateFuzzyQuery:
          type: string
          description: >-
            Query events by partial or complete license plate with fuzzy
            character matching. Query fields are additive queries (returned
            events satisfy at least one of the query fields)
          nullable: true
        locationUuidFilter:
          type: array
          description: Filter events by specific reporting location uuids
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        nameQuery:
          type: array
          description: >-
            Query events by vehicle name. Query fields are additive queries
            (returned events satisfy at least one of the query fields)
          items:
            type: string
            description: >-
              Query events by vehicle name. Query fields are additive queries
              (returned events satisfy at least one of the query fields)
            nullable: true
          nullable: true
        startTimeMs:
          type: integer
          format: int64
          description: Time window filter start (oldest) time in Epoch milliseconds
          nullable: true
        unnamedQuery:
          type: boolean
          description: >-
            Query events by name presence.  If false, returns events with a
            name.  If true, returns events without names.  Omit if not needed. 
            Query fields are additive queries (returned events satisfy at least
            one of the query fields)
          nullable: true
        vehicleLabelQuery:
          type: array
          description: >-
            Query events by vehicle labels. Query fields are additive queries
            (returned events satisfy at least one of the query fields)
          items:
            type: string
            description: >-
              Query events by vehicle labels. Query fields are additive queries
              (returned events satisfy at least one of the query fields)
            nullable: true
          nullable: true
    Vehicle_GetVehicleEventsWSResponse:
      type: object
      description: >-
        Response object containing vehicle events with filters and additive
        queries.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        events:
          type: array
          description: List of vehicle events matching the query criteria
          items:
            $ref: '#/components/schemas/VehicleEventIndexType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    VehicleEventIndexType:
      type: object
      description: List of vehicle events matching the query criteria
      properties:
        deviceUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        eventTimestamp:
          type: integer
          format: int64
          nullable: true
        imageS3Key:
          type: string
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        matchingLicensePlates:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
          uniqueItems: true
        name:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        partialLicensePlates:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
          uniqueItems: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        thumbnailS3Key:
          type: string
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        vehicleLicensePlate:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````